From: "Paul S. Bentivegna" <[email-masked]>
Date: Mon, 9 Jun 1997 11:00:19 -0400 (EDT)

Hello,

   I'm running Solaris x86 2.5.1 on a Dual PP200 Mhz.  I have the GNU gcc
compiler installed and running.  I downloaded, compiled, and installed the
latest version (wu-ftpd-2.4.2-beta-13) ftpd and it seems to work ok, with
2 exceptions.  

1. When I issue the ftpwho, and ftpcount commands they always return 0
users (remote/local).  I ran ckconfig and it showed everything OK.

2. Logging doesn't seem to work at all.  The logfile is there:

-rwxrwxrwx   1 root     root           0 May 28 18:20 /var/log/xferlog

and:
---------pathnames.h--------------
#define _PATH_BSHELL    "/bin/sh"
#define _PATH_DEVNULL   "/dev/null"
#define _PATH_EXECPATH  "/bin/ftp-exec"
#define _PATH_LASTLOG   "/usr/adm/lastlog"
#define _PATH_CVT       "/etc/ftp/ftpconversions"
#define _PATH_FTPACCESS "/etc/ftp/ftpaccess"
#define _PATH_FTPHOSTS  "/etc/ftp/ftphosts"
#define _PATH_FTPUSERS  "/etc/ftp/ftpusers"
#define _PATH_PRIVATE   "/etc/ftp/ftpgroups"
#define _PATH_PIDNAMES  "/etc/ftp/ftp-pids-%s"
#define _PATH_UTMP      "/etc/utmp"
#define _PATH_WTMP      "/usr/adm/wtmp"
#define _PATH_XFERLOG   "/var/log/xferlog"
---------pathnames.h--------------
-----------ckconfig---------------
./ckconfig
Checking _PATH_FTPUSERS :: /etc/ftp/ftpusers
ok.

Checking _PATH_FTPACCESS :: /etc/ftp/ftpaccess
ok.

Checking _PATH_PIDNAMES :: /etc/ftp/ftp-pids-%s
ok.

Checking _PATH_CVT :: /etc/ftp/ftpconversions
ok.

Checking _PATH_XFERLOG :: /var/log/xferlog
ok.

Checking _PATH_PRIVATE :: /etc/ftp/ftpgroups
ok.

Checking _PATH_FTPHOSTS :: /etc/ftp/ftphosts
ok.
-----------ckconfig---------------

I even went back to an old version of wuftp 2.4 and could not get 2.4 to
log either. Hmmm.... I think I missed something.  Any help would be great.

Thanks!

Paul S. Bentivegna -- [email-masked]